/*-
 * Copyright 2021 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.citygml.viewer.parser;

import org.xml.sax.SAXException;

/**
 * To stop the SAXParser from further parsing when the relevant section has
 * already been found.
 * 
 * @author Matthias Betz
 *
 */
public class EnvelopeFoundException extends SAXException {

	private static final long serialVersionUID = -9188617211115043815L;

	public EnvelopeFoundException() {
		super();
	}

	public EnvelopeFoundException(Exception e) {
		super(e);
	}

	public EnvelopeFoundException(String message, Exception e) {
		super(message, e);
	}

	public EnvelopeFoundException(String message) {
		super(message);
	}

}
